# KDE gebruikershandleiding

&Lauri.Watts; &Lauri.Watts.mail;
2010-09-18
K Desktop Environment
kdesu
1

# `kdesu`

Voert een programma uit met verhoogde toegangsrechten

    kdesu -c commando -d -f  bestand -i  pictogramnaam -n -p  prioriteit -r -s -t -u  user --noignorebutton --attach  winid

    kdesu KDE algemene opties Qt algemene opties

## Beschrijving

&kdesu; is een grafische frontend voor het &UNIX; `su` commando voor de K Desktop Environment. Het stelt u in staat om een programma te sterten als een andere gebruiker door het wachtwoord voor die gebruiker te leveren. &kdesu; is een programma zonder privileges; het gebruikt het systeemcommando `su`.

&kdesu; heeft één extra functie: het kan optioneel wachtwoorden voor u onthouden. Als u deze functie wilt gebruiken hoeft u het wachtwoord slechts één keer in te voeren voor elk commando.

Dit programma is bedoelt om te worden gestart vanaf de commandoreghel of vanuit een `.desktop` bestand.

Omdat `kdesu` niet langer geïnstalleerd is in `$(kde4-config --prefix)`/bin maar in `kde4-config --path libexec` en daarom niet in uw `Path`, moet u `$(kde4-config --path libexec)`kdesu`` gebruiken om `kdesu` te starten.

## Opties

`-c commando`

  Dit specificeert het commando dat gedraaid zal worden als root. Er moet één argument in. Dus, als u, bijvoorbeeld, een nieuwe bestandsbeheerder wilt starten, kunt u op de prompt het volgende invoeren: `$(kde4-config --path libexec)`kdesu `-c &dolphin;```

`-d`

  Debug-informatie tonen.

`-f bestand`

  Met deze optie kunt u &kdesu; efficiënt gebruiken in `.desktop` bestanden. Het vertelt &kdesu; om het bestand gespecificeerd door de `bestand` te lezen. Als dit bestand schrijfbaar is door de huidige gebruiker, zal &kdesu; het commando als de huidige gebruiker uitvoeren. Als het niet schrijfbaar is, zal het commando uitgevoerd worden door de gebruiker `gebruiker` (standaard is dat root).

  `bestand` wordt op de volgende manier bekeken: als `bestand` met een "/" begint, wordt het gezien als een absolute bestandsnaam. Anders wordt het gezien als de naam van een globaal &kde;-configuratiebestand.

`-i` pictogramnaam

  Geeft het pictogram op dat in het wachtwoordvenster gebruikt moet worden. U kunt volstaan met de naam zonder extensie.

`-n`

  Sla het wachtwoord niet op. Dit schakelt het keuzevakje Wachtwoord onthouden in het dialoogvenster uit.

`-p` prioriteit

  Stel de prioriteit in. De prioriteit is een getal tussen 0 en 100, met 100 als hoogste prioriteit en 0 als laagste. De standaard is 50.

`-r`

  Realtime scheduling gebruiken.

`-s`

  Stop de kdesu-daemon. Dit is de daemon die wachtwoorden die werken op de achtergrond in een cache bewaart. Deze functie kan ook worden uitgeschakeld met de optie `-n` bij het initieel opstarten van &kdesu;.

`-t`

  Schakel terminaluitvoer in. Dit schakelt wachtwoord opslaan uit. Dit is grotendeels bedoeld voor debugging; als u een console applicatie wilt draaien, gebruik dan het standaard commando `su`.

`-u` gebruiker

  Hoewel &kdesu; het meest gebruikt wordt om een commando als hoofdgebruiker (root) te starten, kunt u elke gebruikersnaam met bijbehorend wachtwoord opgeven.

`--noignorebutton`

  Geen knop 'Negeren' tonen.

`--attach` winid

  Zorgt er voor dat het venster zich gedraagt als dialoogvenster voor een X11-toepassing die wordt gespecificeerd via winid.

## Zie ook

su(1)

Meer uitgebreide informatie vindt u in help:/kdesu (voer deze URL in in &konqueror; of typ ``khelpcenter` `help:/kdesu`` in op de opdrachtregel)

## Voorbeelden

Om `kfmclient` als gebruiker jim te starten en het &konqueror;-pictogram in de wachtwoorddialoog te tonen:

    $(kde4-config --path libexec)kdesu -u jim -i konqueror kfmclient

## Auteurs

&kdesu; is geschreven door Geert Jansen jansen@kde.org en Pietro Iglio iglio@fub.it.